import java.io.*;
import java.util.*;
import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class Intro1 
{
	int NUM_OF_PICTURES=13;
	int i;
	IPicture[] pictures=new IPicture[NUM_OF_PICTURES];
	IPicture pic;
		
   	public static void main(String[] args) throws IOException 
   	{  
   		
	   	Intro1 t=new Intro1();
	   	t.ShowNextPicture();
	   		 
	}
	public Intro1(){
		i=0;
		this.pictures[0]=new IPicture("intro1_1.jpg",this,1,NUM_OF_PICTURES);
		this.pictures[1]=new IPicture("katom.jpg",this,2,NUM_OF_PICTURES);
		this.pictures[2]=new IPicture("intro1_2.jpg",this,3,NUM_OF_PICTURES);
		this.pictures[3]=new IPicture("mask.jpg",this,4,NUM_OF_PICTURES);
		this.pictures[4]=new IPicture("intro1_3.jpg",this,5,NUM_OF_PICTURES);
		this.pictures[5]=new IPicture("intro1_4.jpg",this,6,NUM_OF_PICTURES);
		this.pictures[6]=new IPicture("b-c.jpg",this,7,NUM_OF_PICTURES);
		this.pictures[7]=new IPicture("b-c.jpg",this,8,NUM_OF_PICTURES);
		this.pictures[8]=new IPicture("r-d.jpg",this,9,NUM_OF_PICTURES);
		this.pictures[9]=new IPicture("r-d.jpg",this,10,NUM_OF_PICTURES);
		this.pictures[10]=new IPicture("t-ch.jpg",this,11,NUM_OF_PICTURES);
		this.pictures[11]=new IPicture("t-ch.jpg",this,12,NUM_OF_PICTURES);
		this.pictures[12]=new IPicture("t-ch.jpg",this,13,NUM_OF_PICTURES);
		
	}
	  
	public void ShowNextPicture(){
		if (i==0){
			pictures[i].show();
			i++;
		}
		else{
			pictures[i].show();
			pictures[i-1].remove();
			i++;
		}
	}
}
   
class IPicture implements KeyListener 
{
		
	    private BufferedImage image;    // the rasterized image
	    private JFrame f;               // on-screen view
	   	Intro1 t4;
	   	int i;
	   	int num;
	   	int NUM_OF_PICTURES;
	   	String name;
	   	
	    // create an image by reading in the PNG, GIF, or JPEG from a filename
	    public IPicture(String filename,Intro1 test,int _num,int p_num) 
	    {
	    	NUM_OF_PICTURES=p_num;
	    	num=_num;
	    	name=filename;
	    	
	    	i=0;
	    	t4=test;
	        try 
	        { 
	        	image = ImageIO.read(new File(filename)); 
	        }
	        catch(IOException e) {
	            e.printStackTrace();
	            throw new RuntimeException("Could not open file " + filename);
	        }
	    }
	
	    // to embed in a JPanel, JFrame or other GUI widget
	    public JLabel getJLabel() {
	        if (image == null) return null;         // no image available
	        ImageIcon icon = new ImageIcon(image);
	        return new JLabel(icon);
	    }
		
		
	    // view on-screen, creating new frame if necessary
	    public void show() 
	    {
	        // create the GUI for viewing the image if needed
	        if (f == null) {
	        	
	            f = new JFrame();
	            System.out.println("get ready, new picture is going to show up");
	            f.getContentPane().setLayout(new BorderLayout());
	            
        		f.getContentPane().add(getJLabel(), BorderLayout.CENTER);
	            if(num==NUM_OF_PICTURES)
	    			f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	    		else
	            	f.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
	            f.setTitle("Picture Frame");
	            f.addKeyListener(this);
	            f.setBounds(0,0,1100,1100);
	           	
	            f.setVisible(true);
	        }
	
	    }
	        
	    public void remove(){
	    	f.dispose();
	    }
	    
	    //==================================================== keyTyped listener
    /** This listener is called for character keys. */
    public void keyTyped(KeyEvent kevt) {
    }//endmethod keyTyped

    //================================================== keyPressed listener
    /** This listener is called for both character and non-character keys. */
    public void keyPressed(KeyEvent e)  {

        switch (e.getKeyCode()) {
            
            case KeyEvent.VK_ENTER: 
            	
	    		if(num<NUM_OF_PICTURES){
	    			//this.remove();
	    			t4.ShowNextPicture();
	    		}
            	break;
            	
            case KeyEvent.VK_SPACE:  
            	
	    		if(num<NUM_OF_PICTURES){
	    			//this.remove();
	    			t4.ShowNextPicture();
	    		}
	    		break;
        }
    
    }//endmethod keyPressed

    //------------------------------------------------- keyReleased listener
    public void keyReleased(KeyEvent ke) {}  // Ignore.
}


 
 
 