import java.util.Timer;
import java.util.TimerTask;
import java.io.*;
import java.util.*;
import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class TimedPicture {
    Timer timer;
    
    String filename;
    

    public TimedPicture(String f) {
    	System.out.println("timed");
        timer = new Timer();
        filename=f;
        
	}
	
	public void DoYourWork(){
	
		TPicture pic=new TPicture(filename);
        TPicture mask=new TPicture("mask.jpg");
        RemindShow rs=new RemindShow(pic,mask);
        RemindRemoveShow rr1=new RemindRemoveShow(pic,mask);
        RemindRemove rr2=new RemindRemove(mask);
		timer.schedule(rs,1000);
        timer.schedule(rr1,1030);
		timer.schedule(rr2,1500);
		
	}

    class RemindRemove extends TimerTask {
    	TPicture pic1;
    	
    	public RemindRemove(TPicture p1){
    		pic1=p1;
    	}
    	
        public void run() {
        	pic1.remove();
        	
        }
    }
    class RemindRemoveShow extends TimerTask {
    	TPicture pic1;
    	TPicture pic2;
    	
    	public RemindRemoveShow(TPicture p1,TPicture p2){
    		pic1=p1;
    		pic2=p2;
    	}
    	
        public void run() {
            pic2.show();
        	pic1.remove();
        	
        }
    }

	class RemindShow extends TimerTask {
    	TPicture pic1;
    	TPicture pic2;
    	
    	public RemindShow(TPicture p1,TPicture p2){
    		pic1=p1;
    		pic2=p2;
    		
    	}
        public void run() {
        	pic1.show();
        	//pic2.show();
        }
    }
}

class TPicture {
	    private BufferedImage image;    // the rasterized image
	    private JFrame f;               // on-screen view
	    
	   	String name;
	   	
	    // create an image by reading in the PNG, GIF, or JPEG from a filename
	    public TPicture(String filename) 
	    {
	    	
	    	name=filename;
	        try 
	        { 
	        	image = ImageIO.read(new File(filename)); 
	        }
	        catch(IOException e) {
	            e.printStackTrace();
	            throw new RuntimeException("Could not open file " + filename);
	        }
	    }
	
	    // to embed in a JPanel, JFrame or other GUI widget
	    public JLabel getJLabel() {
	        if (image == null) return null;         // no image available
	        ImageIcon icon = new ImageIcon(image);
	        return new JLabel(icon);
	    }
		
	    // view on-screen, creating new frame if necessary
	    public void show() 
	    {
	        // create the GUI for viewing the image if needed
	        if (f == null) {	
	            f = new JFrame();
        		f.getContentPane().add(getJLabel(), BorderLayout.CENTER);
        		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
	            f.setTitle("Picture Frame");
	            f.setBounds(0,0,1100,1100);
	            f.setVisible(true);
	        }
	    }
	            
	    public void remove(){
	    	//f.setVisible(false);
	    	f.dispose();
	    }
}